/*==============================================
   This file is a part of the QENet library.
         Copyright 2012 - Nathan Osman
==============================================*/

#ifndef CMAINWINDOW_H
#define CMAINWINDOW_H

#include <QMainWindow>
#include <QENet>

namespace Ui {
    class CMainWindow;
}

class CMainWindow : public QMainWindow
{
    Q_OBJECT
        
    public:

        explicit CMainWindow(QWidget * parent = 0);
        ~CMainWindow();

    private slots:

        void listenClicked();
        void packetReceived(QENetPacket, quint8);
        void peerConnected(QENetPeer *);
        
    private:

        Ui::CMainWindow * ui;

        QENetHost m_host;
};

#endif // CMAINWINDOW_H
