#==============================================
#  This file is a part of the QENet library.
#        Copyright 2012 - Nathan Osman
#==============================================

QT      -= gui
CONFIG  += link_pkgconfig
TEMPLATE = lib
TARGET   = qenet
VERSION  = 0.1.1

# Disable the '0' appended to DLL files on Windows
win32 {
    TARGET_EXT = .dll
}

target.path     = /usr/lib
include.path    = $${DESTDIR}/usr/include/qenet
include.files  += include/qenet/*
pc.path         = $${DESTDIR}/usr/lib/pkgconfig
pc.files       += qenet.pc
INSTALLS       += target include pc

DEFINES += QENET_LIBRARY

SOURCES += \
    src/QENetInitializer.cpp \
    src/QENetAddress.cpp \
    src/QENetPacket.cpp \
    src/QENetHost.cpp \
    src/QENetPeer.cpp

HEADERS +=\
    include/qenet/qenet_global.h \
    include/qenet/QENet \
    include/qenet/QENetAddress \
    include/qenet/QENetHost \
    include/qenet/QENetInitializer \
    include/qenet/QENetPacket \
    include/qenet/QENetPeer \
    src/QENetAddressPrivate.h \
    src/QENetHostPrivate.h \
    src/QENetPacketPrivate.h \
    src/QENetPeerPrivate.h

INCLUDEPATH += include/qenet
PKGCONFIG   += libenet

DESTDIR      = ../lib
