/*==============================================
   This file is a part of the QENet library.
         Copyright 2012 - Nathan Osman
==============================================*/

#ifndef CMAINWINDOW_H
#define CMAINWINDOW_H

#include <QMainWindow>
#include <QENet>

namespace Ui {
    class CMainWindow;
}

class CMainWindow : public QMainWindow
{
    Q_OBJECT
        
    public:

        explicit CMainWindow(QWidget * parent = 0);
        ~CMainWindow();

    private slots:

        void connectClicked();
        void connectionFailed();
        void peerConnected(QENetPeer *);
        void sendClicked();
        
    private:

        Ui::CMainWindow * ui;

        QENetHost m_host;
        QENetPeer * m_peer;
};

#endif // CMAINWINDOW_H
