/**
  * \file
  * Contains global declarations for building the library.
  *
  * <pre>
  * This file is a part of the QENet library.
  * Copyright 2012 - Nathan Osman
  * </pre>
  */

#ifndef QENET_GLOBAL_H
#define QENET_GLOBAL_H

#include <QtCore/qglobal.h>

#if defined(QENET_LIBRARY)
#  define QENETSHARED_EXPORT Q_DECL_EXPORT
#else
#  define QENETSHARED_EXPORT Q_DECL_IMPORT
#endif

#endif // QENET_GLOBAL_H
